<?php
/**
 * @copyright   Copyright (C) 2005 - 2013 Michael Richey. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
class modMicroBreadHelper
{
	public static function getList(&$params)
	{
		$app		= JFactory::getApplication();
		$items		= $app->getPathway()->getPathWay();
		$count = count($items);
		$crumbs	= array();
		foreach($items as $item) $crumbs[] = (object) array('name'=>stripslashes(htmlspecialchars($item->name, ENT_COMPAT, 'UTF-8')),'link'=>JRoute::_($item->link));
		if ($params->get('showHome', 1)) array_unshift($crumbs,(object)array('name'=>htmlspecialchars($params->get('homeText', JText::_('MOD_MICROBREAD_HOME'))),'link'=>JRoute::_('index.php?Itemid=' . $app->getMenu()->getDefault()->id)));
		return $crumbs;
	}
	public static function setSeparator($custom = null)
	{
		$lang = JFactory::getLanguage();
		$_separator=($custom == null)?($lang->isRTL()?JHtml::_('image', 'system/arrow_rtl.png', null, null, true):JHtml::_('image', 'system/arrow.png', null, null, true)):htmlspecialchars($custom);
		return $_separator;
	}
}
