<?php
/**
 * @copyright   Copyright (C) 2005 - 2012 Michael Richey. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
JHtml::_('bootstrap.tooltip');
?>
<ul class="breadcrumb<?php echo $moduleclass_sfx; ?>">
<?php 
if ($params->get('showHere', 1)) echo '<li class="active"><span class="showHere icon-location hasTooltip" title="'.htmlspecialchars(JText::_('MOD_MICROBREAD_HERE')).'"></span></li>';
for ($i = 0; $i < $count; $i ++) {
   // Workaround for duplicate Home when using multilanguage
   if ($i == 1 && !empty($list[$i]->link) && !empty($list[$i - 1]->link) && $list[$i]->link == $list[$i - 1]->link)
   {
      continue;
   }
   // If not the last item in the breadcrumbs add the separator
   if ($i < $count - 1)
   {
      if (!empty($list[$i]->link)) {
         echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a href="'.$list[$i]->link.'" class="pathway" itemprop="url"><span itemprop="title">'.$list[$i]->name.'</span></a><span class="divider">'.$separator.'</span></li>';
      } else {
         echo '<li itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span itemprop="title">'.$list[$i]->name.'</span><span class="divider">'.$separator.'</span></li>';
      }
   }  elseif ($params->get('showLast', 1)) { // when $i == $count -1 and 'showLast' is true
	if(!empty($list[$i]->link)) {
		echo '<li class="active" itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><a href="'.$list[$i]->link.'" class="pathway" itemprop="url"><span itemprop="title">'.$list[$i]->name.'</span></a></li>';
	} else {
		echo '<li class="active" itemscope itemtype="http://data-vocabulary.org/Breadcrumb"><span itemprop="title">'.$list[$i]->name.'</span></li>';
	}
   }
} ?>
</ul>
